exports.up = function(knex) {
  return knex.schema.createTable('timeslots', function(table) {
    table.increments('id').primary();
    table.timestamp('start_time').notNullable();
    table.timestamp('end_time').notNullable();
    table.boolean('is_reserved').notNullable().defaultTo(false);
    table.timestamps(true, true);
  });
};

exports.down = function(knex) {
  return knex.schema.dropTable('timeslots');
};