
const env = require('dotenv').config();


module.exports = {
  development: {
    client: 'postgresql',
    connection: {
      database: env.parsed.PGDATABASENAME,
      user:     env.parsed.PGUSER,
      password: env.parsed.PGPASSWORD
    },
    migrations: {
      directory: './src/migrations'
    },
    seeds: {
      directory: './src/seeds'
    }
  }
}
